Table of Contents

## Name

im_abs - finds the absolute value or the magnitude of an image

## Synopsis

#include <vips/vips.h>

int im_abs( in, out )
IMAGE *in, *out;

## Description

im_abs() finds the absolute value of an image. Copy for UNSIGNED types, negate for int types, fabs(3) for float types, and calculate modulus for complex types. Any size, any number of bands.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_exp10tra(3) , im_sign(3)

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also